Main Page Namespace List Class Hierarchy Compound List Compound Members

# qdbm::DBM_error Class Reference

Inheritance diagram for qdbm::DBM_error:

List of all members.

## Detailed Description

Error container for ADBM.

## Public Member Functions

| DBM_error () throw ()
| Create an instance.
| DBM_error (const char *message) throw ()
| Create an instance.
virtual | ~DBM_error () throw ()
| Release resources of the instance.
virtual const char * | message () const throw ()
| Get the message.

## Constructor & Destructor Documentation

qdbm::DBM_error::DBM_error | ( | const char * | message | ) | throw ()

Create an instance.

Parameters:

  message | the string of a error message.

## Member Function Documentation

virtual const char* qdbm::DBM_error::message | ( |  | ) | const throw ()`[virtual]`

Get the message.

Returns:
  the pointer to the string.

Reimplemented in qdbm::Curia_error, and qdbm::Depot_error.

The documentation for this class was generated from the following file:

- xadbm.h